using BallotTemplates;

namespace InterpreterLibrary.Models
{
    public class PersonVote : Change
    {
        internal PersonVote(int candidateNumber, string text, float fillPercentage, ChangeField field, OcrResult candidateName)
            : base(candidateNumber, text, fillPercentage, field,candidateName)
        {

        }
        internal PersonVote(int candidateNumber)
            : base(candidateNumber, null, 0, null)
        {

        }
        public override bool Equals(object obj)
	    {
		    if (obj is PersonVote compare)
			    return CandidateNumber == compare.CandidateNumber;
		    return false;
	    }

        public override int GetHashCode() => CandidateNumber;
    }
}
